unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Graphics,
  forms, Dialogs, jpeg, MPlayer, ComCtrls,
  StdCtrls, ExtCtrls, Buttons, Controls, Classes;

type
  TfrmDJ = class(TForm)
    imgMixer: TImage;
    edtDJname: TEdit;
    redplaylist: TRichEdit;
    lstSongs: TListBox;
    btnadd: TButton;
    btnremove: TButton;
    btnNext: TButton;
    btnprevious: TButton;
    pnlChoose: TPanel;
    shpLight: TShape;
    bmbOn: TBitBtn;
    gpbOnair: TGroupBox;
    bmbOff: TBitBtn;
    rgpChannel: TRadioGroup;
    chkSubwoofer: TCheckBox;
    pgbVolume: TProgressBar;
    UpDown1: TUpDown;
    edtVolume: TEdit;
    lblvolume: TLabel;
    MediaPlayer1: TMediaPlayer;
    pnlCaption: TPanel;
    procedure btnNextClick(Sender: TObject);
    procedure btnpreviousClick(Sender: TObject);
    procedure btnaddClick(Sender: TObject);
    procedure btnremoveClick(Sender: TObject);
    procedure bmbOnClick(Sender: TObject);
    procedure bmbOffClick(Sender: TObject);
    procedure edtVolumeChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmDJ: TfrmDJ;

implementation

{$R *.dfm}

procedure TfrmDJ.bmbOffClick(Sender: TObject);
begin
shpLight.Brush.Color := clgreen;
pnlCaption.Caption := '';
end;

procedure TfrmDJ.bmbOnClick(Sender: TObject);
begin
shpLight.Brush.Color := clred;
pnlCaption.Caption := edtDJname.Text + ' on '+ rgpChannel.Items[rgpChannel.ItemIndex];
end;

procedure TfrmDJ.btnaddClick(Sender: TObject);
begin
redplaylist.Lines.Add(lstSongs.Items[lstSongs.ItemIndex]);
end;

procedure TfrmDJ.btnNextClick(Sender: TObject);
begin
lstSongs.ItemIndex :=  lstSongs.ItemIndex + 1;
end;

procedure TfrmDJ.btnpreviousClick(Sender: TObject);
begin
lstSongs.ItemIndex :=  lstSongs.ItemIndex - 1;
end;

procedure TfrmDJ.btnremoveClick(Sender: TObject);
begin
redplaylist.Lines.Delete(redplaylist.Lines.Count-1);
end;

procedure TfrmDJ.edtVolumeChange(Sender: TObject);
begin
PgbVolume.StepIt;
end;

end.
